import 'package:animations/animations.dart';
import 'package:flutter/material.dart';

class CustomNavigationPage extends StatelessWidget {
  const CustomNavigationPage(
      {Key? key,
      required this.opentBuilder,
      required this.closeBuilder,
      this.onClosed})
      : super(key: key);

  final Widget opentBuilder;
  final Function(BuildContext, VoidCallback) closeBuilder;
  final Function(bool?)? onClosed;

  @override
  Widget build(BuildContext context) {
    return OpenContainer<bool>(
      // transitionType: ContainerTransitionType.fadeThrough,
      transitionDuration: Duration(milliseconds: 400),
      openBuilder: (BuildContext context, VoidCallback _) {
        return opentBuilder;
      },
      onClosed: (data) {
        if (onClosed != null) {
          onClosed!(data);
        }
      },
      tappable: false,
      closedBuilder: (context, action) {
        return closeBuilder(context, action);
      },
    );
  }
}
