import 'package:flutter/material.dart';
import 'package:sharing/remote/local/shared_prefers_helper.dart';

import '../../common/values/hex_color.dart';

class CustomBackgroundGradient extends StatefulWidget {
  CustomBackgroundGradient(
      {Key? key, required this.child, this.isScoll = false, this.imageCustom})
      : super(key: key);
  final Widget child;
  final bool? isScoll;
  final Widget? imageCustom;

  @override
  _CustomBackgroundGradientState createState() =>
      _CustomBackgroundGradientState();
}

class _CustomBackgroundGradientState extends State<CustomBackgroundGradient> {
  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
        gradient: LinearGradient(
          begin: Alignment(prefsHelper.getBeginColor()?[0] ?? 0.0,
              prefsHelper.getBeginColor()?[1] ?? -1.0),
          end: Alignment(prefsHelper.getEndColor()?[0] ?? 0.0,
              prefsHelper.getEndColor()?[1] ?? 1.0),
          colors: [
            HexColor(prefsHelper.getPrimaryColor()),
            HexColor(prefsHelper.getPrimarySecondColor())
          ],
        ),
      ),
      child: widget.isScoll == true
          ? Stack(
              children: [
                widget.imageCustom ?? Container(),
                FlexibleSpaceBar(
                    centerTitle: true,
                    titlePadding: EdgeInsets.all(20),
                    background: widget.child),
              ],
            )
          : Stack(
              children: [
                widget.imageCustom ?? Container(),
                widget.child,
              ],
            ),
    );
  }
}
