import 'package:flutter/material.dart';

import '../../common/values/styles.dart';

class CustomTextHeaderMediumField extends StatelessWidget {
  final label;
  final color;
  final TextAlign? align;
  final double? textSize;
  final int? maxLine;
  final FontWeight? fontWeight;
  final String? fontName;

  CustomTextHeaderMediumField(
      {required this.label,
      this.color,
      this.align,
      this.maxLine,
      this.textSize,
      this.fontWeight,
      this.fontName});

  @override
  Widget build(BuildContext context) {
    return Text(
      label,
      style: Styles.customTextHeaderMediumStyle(
          color: color,
          fontName: fontName,
          fontWeight: fontWeight,
          textSize: textSize),
      textAlign: align,
      overflow: TextOverflow.ellipsis,
      maxLines: maxLine,
    );
  }
}
